Get rental agreement
import requests
url = "https://api.paywise.de/v2/orders/{order_id}/rental-agreement/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v2/orders/{order_id}/rental-agreement/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v2/orders/{order_id}/rental-agreement/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/orders/{order_id}/rental-agreement/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v2/orders/{order_id}/rental-agreement/ \
--header 'Authorization: Bearer <token>'{
"contract_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"documents": [
{
"created_at": "2023-11-07T05:31:56Z",
"download_url": "<string>",
"failure_reason": "page_limit_exceeded",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mime_type": "<string>",
"parent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "claim"
},
"status": "pending",
"type": "bank_statement",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"due_rule": {
"day": 16,
"kind": "calendar_day"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monthly_rent": {
"currency": "EUR",
"value": "<string>"
},
"property_address": {
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"street": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Rental agreements
Get rental agreement
Tenant-scoped resource collection of the authenticated company.
GET
/
v2
/
orders
/
{order_id}
/
rental-agreement
/
Get rental agreement
import requests
url = "https://api.paywise.de/v2/orders/{order_id}/rental-agreement/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/v2/orders/{order_id}/rental-agreement/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/v2/orders/{order_id}/rental-agreement/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/v2/orders/{order_id}/rental-agreement/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/v2/orders/{order_id}/rental-agreement/ \
--header 'Authorization: Bearer <token>'{
"contract_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"documents": [
{
"created_at": "2023-11-07T05:31:56Z",
"download_url": "<string>",
"failure_reason": "page_limit_exceeded",
"filename": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mime_type": "<string>",
"parent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "claim"
},
"status": "pending",
"type": "bank_statement",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"due_rule": {
"day": 16,
"kind": "calendar_day"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monthly_rent": {
"currency": "EUR",
"value": "<string>"
},
"property_address": {
"city": "<string>",
"country": "<string>",
"postal_code": "<string>",
"street": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z"
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "not_found",
"detail": "The requested resource was not found."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
caseBearerAuthpartnerBearerAuth
